<?php

use Conto\Quickpay\Enum\QuickpaySettingEnum;

class QuickpayRedirectModuleFrontController extends ModuleFrontControllerCore
{
    public function initContent()
    {
        parent::initContent();

        $orderId = (int) Tools::getValue('id_order', 0);

        $stateIdInDb = (int) ConfigurationCore::get('QUICKPAY_PROCESSING_ID');

        $stateId =
            OrderStateCore::existsInDatabase($stateIdInDb, 'order_state')
                ? $stateIdInDb
                : Configuration::get('PS_OS_PREPARATION');

        $this->changeOrderState($orderId, $stateId);

        Tools::redirect('index.php?controller=order-detail&id_order=' . $orderId);
    }

    private function changeOrderState($orderId, $newOrderStateId)
    {
        $history = new OrderHistoryCore();
        $history->id_order = $orderId;
        $history->id_order_state = $newOrderStateId;
        $history->save();
    }
}
