<?php

namespace Conto\Quickpay;

use PrestaShop\PrestaShop\Core\Foundation\IoC\Exception;

class CallbackData
{
    const STATUS_SIGNED = 'SIGNED';
    const STATUS_CONFIRMED = 'CONFIRMED';
    const STATUS_FAILED = 'FAILED';
    const STATUS_EXPIRED = 'EXPIRED';

    private $transactions;
    private $transactionId;
    private $status;

    public function __construct($decodedJwt)
    {
        set_error_handler(function($severity, $message){
            throw new Exception($message);
        });
        $this->transactions = $decodedJwt->transactions;
        $this->transactionId = $this->transactions[0]->transactionId;
        $this->status = $this->transactions[0]->status;
        restore_error_handler();
    }

    public function getTransactionId()
    {
        return $this->transactionId;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function isSigned()
    {
        return $this->status == self::STATUS_SIGNED;
    }

    public function isConfirmed()
    {
        return $this->status == self::STATUS_CONFIRMED;

    }

    public function isFailed()
    {
        return $this->status == self::STATUS_FAILED;
    }

    public function isExpired()
    {
        return $this->status == self::STATUS_EXPIRED;
    }
}
