<?php

namespace Conto\Quickpay;

class JWTPayload
{
    const HOST = 'https://quickpay.contomobile.com';

    private $contractId;
    private $amount;
    private $paymentPurpose;
    private $transactionId;

    public static function factory()
    {
        return new self();
    }

    public function create()
    {
        return array(
            'contractId' => $this->contractId,
            'amount' => $this->amount,
            'paymentPurpose' => $this->paymentPurpose,
            'transactionId' => $this->transactionId
        );
    }

    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
        return $this;
    }

    public function setAmount($amount)
    {
        $this->amount = (float)number_format($amount, 2, '.', '');
        return $this;
    }

    public function setPaymentPurpose($paymentPurpose)
    {
        $this->paymentPurpose = $paymentPurpose;
        return $this;
    }

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
        return $this;
    }
}
