<?php

namespace Conto\Quickpay;

use Exception;
use Firebase\JWT\JWT;

class JWTUtil
{
    const defaultAlg = 'HS256';

    public static function encode($payload, $secret, $alg =
    JWTUtil::defaultAlg)
    {
        return JWT::encode(
            $payload,
            base64_decode($secret),
            $alg);
    }

    public static function decode($jwtToken, $secret, $algorithm = self::defaultAlg)
    {
        try {
            return JWT::decode(
                $jwtToken,
                base64_decode($secret),
                array($algorithm));
        } catch (Exception $e) {
            throw $e;
        }
    }
}
