<?php

namespace Conto\Quickpay;

use OrderHistoryCore;
use OrderStateCore;

class OrderService
{
    public static function getOrderStatuses()
    {
        $orderStates = OrderStateCore::getOrderStates(1);

        $orderStatuses = [];

        foreach ($orderStates as $orderState) {
            $orderStatuses[] = [
                'order_state_id' => $orderState['id_order_state'],
                'name' => $orderState['name']
            ];
        }

        return $orderStatuses;
    }

    public function changeOrderState($orderId, $newOrderStateId)
    {
        $history = new OrderHistoryCore();
        $history->id_order = $orderId;
        $history->changeIdOrderState($newOrderStateId, $orderId);
        $history->save();
    }
}
